---
# A deployment for the ECC Prometheus python service with 2 replicas.
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ecc-python-service
  labels:
    app: ecc-python-service
spec:
  replicas: 2
  selector:
    matchLabels:
      app: ecc-python-service
  template:
    metadata:
      labels:
        app: ecc-python-service
    spec:
      containers:
      - name: ecc-python-service
        # Modify this to your fork repository registry
        image: registry.gitlab.com/everyonecancontribute/observability/prometheus_python_service:latest
        # force pull https://kubernetes.io/docs/concepts/containers/images/#updating-images 
        imagePullPolicy: Always
        ports:
        - containerPort: 8000
---
# A service that references the python service deployment.
apiVersion: v1
kind: Service
metadata:
  name: ecc-python-service
  labels:
    app: ecc-python-service
spec:
  ports:
  - port: 8000
    name: web
  selector:
    app: ecc-python-service

